## tuxracer 0.61-7

=== debian/changelog ===
tuxracer (0.61-7) unstable; urgency=low

  * bumped standards version to 3.6.1 (no changes
  * tuxracer is now a transistation package to ppracer, therefore
    - removed the game itself
    - made it a native package (including lintian override for the package
          revision)
    - set architecure to all
    - added a README.Debian
    - added a small script, telling people to use ppracer instead, pointing to
      the Readme
    - Closes: #281596

 -- Alexander Schmehl <alexander@schmehl.info>  Thu, 21 Apr 2005 17:14:30 +0200

tuxracer (0.61-6.4) unstable; urgency=low

  * replaced obsolete "glXGetProcAddressARB" with "glXGetProcAddress" in
    configure and configure.in. Closes: #242409

 -- Alexander Schmehl <alexander@schmehl.info>  Sat, 17 Apr 2004 14:38:38 +0200

tuxracer (0.61-6.3) unstable; urgency=low

  * Add AM_MAINTAINER_MODE to configure.in to prevent makefiles from
    invoking aclocal and other autotools.

 -- Guus Sliepen <guus@debian.org>  Tue, 26 Aug 2003 16:53:35 +0200

tuxracer (0.61-6.2) unstable; urgency=low

  * Somehow forgot to change libtcl build-dependency.

 -- Guus Sliepen <guus@debian.org>  Tue, 26 Aug 2003 00:30:01 +0200

tuxracer (0.61-6.1) unstable; urgency=low

  * Non-maintainer upload. BSP.
  * Remove invalid preprocessor directives. Closes: #197088
  * Change -malign-* compiler options to -falign-*. This also needs
    an updated configure script.
  * Update standards version.
  * Link with libtcl8.4. Closes: #183117
  * Full path to menu icon. Closes: #141619

 -- Guus Sliepen <guus@debian.org>  Mon, 25 Aug 2003 21:37:17 +0200

tuxracer (0.61-6) unstable; urgency=low

  * make the missing scipt executable (Closes: #117179)

 -- Oliver M. Bolzer <oliver@debian.org>  Wed, 28 Nov 2001 10:15:59 +0100

tuxracer (0.61-5) unstable; urgency=low

  * The "We all love dynamic linking" release

  * rebuild with new SDL packages, Build-Depend on libsdl-dev (>= 1.2.2-3.1)
    (Closes: #116367)
  * keyboard loss most likely not related to tuxracer, but libraries
    can't reproduce havn't gotten any follow-ups or other cases
    (Closes: #93642)
  * fix misplacing of text on PPC; please re-open if fix doesn't work
    Thanks to Michel Daenzer for the patch
    (Closes: #110303)

 -- Oliver M. Bolzer <oliver@debian.org>  Sun, 21 Oct 2001 09:36:54 +0200

tuxracer (0.61-4) unstable; urgency=low

  * add xlibs-dev to Build-Dependens: (Closes: #102281)
    I can swear I had this in before, something must have swallowed it.
    (possibly my itchy backspace-finger :-) 

 -- Oliver M. Bolzer <oliver@debian.org>  Tue, 26 Jun 2001 23:36:45 +0200

tuxracer (0.61-3) unstable; urgency=low

  * recompile with SDL 1.2 and tweak Build-Dependencies accordingly
    (Closes: #96118, #102068, #101768 )
    Sorry for the long wait. Had exams for some weeks and and had to
    wait for a few days for a broken libsdl1.2-dev to get fixed 
    
  * a new upstream version with multiplayer(!) capabilities seems to
    be on the way. See the E3 teaser from upstream http://www.tuxracer.com/
    and drool like me :-)~~~~

 -- Oliver M. Bolzer <oliver@debian.org>  Sun, 24 Jun 2001 16:04:12 +0200

tuxracer (0.61-2) unstable; urgency=low

  * make a versioned Depends: on libsdl-mixer1.1 (>= 1.1.0-3) since
    older versions of it don't provide libSDL_mixer-1.1.so.0
    (Closes: #88437), opened bug on wrong shlibs for libsdl-mixer1.1

 -- Oliver M. Bolzer <oliver@debian.org>  Tue,  6 Mar 2001 19:33:28 +0100

tuxracer (0.61-1) unstable; urgency=low

  * New upstream release, fixes bunch of minor stuff and 64-bit problems
    (Closes: #75235, #78785) 
  * rebuild with new SDL packages, should clean those segfaults due to
    SDL-1.0/1.1 mismatch and solve uninstallable dependencies
    (Closes: #82826, #77439, #77445, #79609, #77437, #79546, #79565, #80797
  * does not depend on glutg3 anymore (Closes :#85532)
  * fixed typo in tuxracer.sgml to make it well-formed
  * don't include GL/glext.h anymore, as xlibmesa-dev has it
    also drop that file's licence from debian/copyright

 -- Oliver M. Bolzer <oliver@debian.org>  Sun, 25 Feb 2001 11:48:07 +0100

tuxracer (0.60.3-2) unstable; urgency=low

  * added icon for menu, Thanks a lot to Robert Cleaver Ancell
    for creating it (Closes: #75766)
  * use new lib-sdl-mixer1.1*
  * really fixed Maintainer: field this time

 -- Oliver M. Bolzer <oliver@debian.org>  Sun, 29 Oct 2000 11:04:23 +0100

tuxracer (0.60.3-1) unstable; urgency=low

  * New upstream release

 -- Oliver M. Bolzer <oliver@debian.org>  Mon, 16 Oct 2000 08:51:10 +0200

tuxracer (0.60.1-1) unstable; urgency=low

  * MAJOR New upstream release, it's become really great
    (Closes: #73073, #73082, #73094, #73109, #73128, #73150, #73172, #73197, #73223, #73251)
  * Has proper mouse handling now (Closes: #68797)
  * Default view now configurable in ~/.tuxracer/options
    with "set view_mode" (Closes: #68959)
  * including GL/glext.h needed for compile, as no other package in Debian
    provides it (yet)

 -- Oliver M. Bolzer <oliver@debian.org>  Wed,  4 Oct 2000 11:48:00 +0200

tuxracer (0.12.1-5) unstable; urgency=low

  * recompiled against tcl8.3 by popular demand, the many tcl
    versions are real mess, we should sort this out ASAP
  * patched to hide the mouse pointer (Fixes: #68797)
    (still needs to be passed upstream)

 -- Oliver M. Bolzer <oliver@debian.org>  Thu, 28 Sep 2000 11:32:58 +0200

tuxracer (0.12.1-4) unstable; urgency=low

  * updated menu entry to reflect binary location change to /usr/games 

 -- Oliver M. Bolzer <oliver@debian.org>  Mon,  4 Sep 2000 10:42:11 +0000

tuxracer (0.12.1-3) unstable; urgency=low

  * move binary to /usr/games (Closes: #68971)
  * add debhelper to Build-Depends
  * change maintainer e-mail address, finally survived NM
  * Many thanks to Christian Kurz <shorty@debian.org> for sponsoring me
    until now

 -- Oliver M. Bolzer <oliver@debian.org>  Fri,  1 Sep 2000 10:37:59 +0200

tuxracer (0.12.1-2) unstable; urgency=low


