=== debian/control ===
Source: tuxracer
Section: games
Priority: optional
Maintainer: Alexander Schmehl <alexander@schmehl.info>
Standards-Version: 3.6.1
Build-Depends: debhelper

Package: tuxracer
Architecture: all
Depends: planetpenguin-racer, ${shlibs:Depends}
Description: dummy transition package
 The game TuxRacer isn't developed anymore, but a fork called PlanetPenguin
 Racer exists.  This is an empty transition package, with the purpose to
 install the new package planetpenguin-racer on upgrades.
 .
 The packages tuxracer, tuxracer-data and tuxracer-extras can safely be
 removed.

Package: tuxracer-data
Architecture: all
Depends: planetpenguin-racer-data, ${shlibs:Depends}
Description: dummy transition package
 The game TuxRacer isn't developed anymore, but a fork called PlanetPenguin
 Racer exists.  This is an empty transition package, with the purpose to
 install the new package planetpenguin-racer-data on upgrades.
 .
 The packages tuxracer, tuxracer-data and tuxracer-extras can safely be
 removed.
