=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	
#	./configure --prefix=/usr --with-tcl-inc=/usr/include/tcl8.4 \
		--with-data-dir=/usr/share/games/tuxracer

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

#	chmod +x missing
	
	# Add here commands to compile the package.
#	$(MAKE)
#	/usr/bin/docbook-to-man debian/tuxracer.sgml > tuxracer.6

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
#	-$(MAKE) distclean
#	-rm tuxracer.6

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
#	$(MAKE) DESTDIR=`pwd`/debian/tmp install
#	mkdir `pwd`/debian/tmp/usr/games
#	mv `pwd`/debian/tmp/usr/bin/tuxracer `pwd`/debian/tmp/usr/games/

#	install -d `pwd`/debian/tmp/usr/X11R6/include/X11/pixmaps/
#	cp `pwd`/debian/tuxracer.xpm `pwd`/debian/tmp/usr/X11R6/include/X11/pixmaps/
	dh_install tuxracer /usr/games/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
